aboutsummaryrefslogtreecommitdiffstats
path: root/ChibiOS_20.3.2/os/hal/boards/genboard.sh
diff options
context:
space:
mode:
authorClyne Sullivan <clyne@bitgloo.com>2021-03-04 17:54:40 -0500
committerClyne Sullivan <clyne@bitgloo.com>2021-03-04 17:54:40 -0500
commiteeeb04fa1a202c68279d4b4ee0a1e3ff34c62c7f (patch)
treed297b41a662c831d7e5bab76c85f48d33e2c604b /ChibiOS_20.3.2/os/hal/boards/genboard.sh
parent5f6181bb3c6ab4274a8068aaf14b278fa65e443e (diff)
add L4 and G4 to ChibiOS; delete bloat
Diffstat (limited to 'ChibiOS_20.3.2/os/hal/boards/genboard.sh')
-rw-r--r--ChibiOS_20.3.2/os/hal/boards/genboard.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/ChibiOS_20.3.2/os/hal/boards/genboard.sh b/ChibiOS_20.3.2/os/hal/boards/genboard.sh
new file mode 100644
index 0000000..8e8a112
--- /dev/null
+++ b/ChibiOS_20.3.2/os/hal/boards/genboard.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+if [ $# -eq 1 ]
+then
+ echo "Processing: $1"
+ if ! fmpp -q -C $1/cfg/board.fmpp
+ then
+ echo
+ echo "aborted"
+ exit 1
+ else
+ echo
+ echo "done"
+ exit 0
+ fi
+else
+ echo "Usage: genboard <board_directory>"
+fi